Name:          hwinfo
Version:       20.1
Release:       1mamba
Summary:       Hardware information tool
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://gitorious.org/opensuse/hwinfo
# Package got with:
# git_server=git://gitorious.org/opensuse/hwinfo.git
# stable_version=16.12
# git clone ${git_server:?no server URL}
# name=$(basename ${git_server##*/} .git)
# [ ! -d "$name" ] && echo "Error retrieving $name." >&2 || cd $name
# git checkout ${stable_version:?no stable version}
# name=$name-$stable_version
# git archive --format=tar --prefix=$name/ HEAD | bzip2 -9 > $(rpm --eval %_sourcedir)/$name.tar.bz2
Source:        git://gitorious.org/opensuse/hwinfo.git/%{version}/hwinfo-%{version}.tar.bz2
Patch:         hwinfo-16.12-tiocgdev_undefined.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdbus-devel
BuildRequires: libx86emu-devel
BuildRequires: perl-devel
BuildRequires: perl-XML-Parser
BuildRequires: perl-XML-Writer
## AUTOBUILDREQ-END
BuildConflicts: hal-devel
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A simple program that lists results from the hardware detection library.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A simple program that lists results from the hardware detection library.

This package contains static libraries and header files need for development.

%prep
%setup -q
[ -e VERSION ] || echo "%{version}" > VERSION
#%patch

%build
%make -j1 GIT2LOG=/bin/true
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall GIT2LOG=/bin/true
install -D -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8/hwinfo.8
install -d %{buildroot}%{_localstatedir}/lib/hardware/udi

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_libdir}/libhd.so.*
%{_datadir}/hwinfo
%{_mandir}/man8/hwinfo.8.gz
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%doc COPYING README

%files devel
%defattr(-,root,root)
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_includedir}/hd.h
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%doc doc/libhd/html

%changelog
* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- update to 20.1

* Tue Dec 11 2012 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- update to 20.0

* Wed Feb 17 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 16.12-1mamba
- package created by autospec
